Subject: Security Fix for getty_ps 2.0.7d
From: [email-masked] (Kris Gleason)
Date: Sun, 22 May 1994 20:07:32 GMT
Newsgroups: comp.os.linux.announce,comp.os.linux.development

It _seemed_ percect (famous last words).  Oh well...

As many of you have pointed out to me, there is a serious security
hole in getty_ps.  I have included a patch below that fixes this 
hole.   If you have installed getty_ps 2.0.7d, apply this patch to
the source, and recompile your binaries.  Also, PLEASE BE SURE
TO DO A 'make clean' BEFORE RECOMPILING.  One of the dependencies
in the Makefile is not quite right.

I have also uploaded a new distribution to tsx-11 and sunsite
(getty_ps-2.0.7e) which has this security hole fixed.  Also added
to the 2.0.7e release is optional compliance with the FSSTND
standard (see the Makefile for more details).

Kris

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.